Subject: bug#25273: [[email-masked]: 'mc' package needs some fixes]

From: ng0 <[email-masked]>
Date: Mon, 26 Dec 2016 15:11:32 +0000

Tobias Geerinckx-Rice <[email-masked]> writes:

> Guix, ng0,
>
> On 26/12/16 14:07, ng0 wrote:
>> Some extension of mc will make the size of its graph grow.
>> I personally don't care about the size, but others might. So:
>
> I share your (lack of) concern.
>
>> should I follow my vim example and put those changes into mc-full
>
> Even then, the broken^Wminimal variant will need its own set of patches
> to properly search $PATH instead of using obsolute paths.
>
> Hap hols,
>
> T G-R
>

This is egrep -nr "/bin/" in $(guix build mc) from before the
partial fix I already submitted. In my opinion there is no need
to add changes to $PATH or am I wrong?

share/mc/help/mc.hlp.pl:103:        /gnu/store/j9bv353g42smgs0dwcgnzijgagyzxj0n-mc-4.8.16/bin/mc -P "$@" > "$MC"
share/mc/help/mc.hlp.pl:110:alias mc 'setenv MC `/gnu/store/j9bv353g42smgs0dwcgnzijgagyzxj0n-mc-4.8.16/bin/mc -P !*`; cd $MC; unsetenv MC'
share/mc/help/mc.hlp.pl:1186:#!/bin/sh
share/mc/help/mc.hlp.pl:1187:/usr/bin/indent -kr -pcs ~/.cache/mc/mcedit/mcedit.block>& /dev/null
share/mc/help/mc.hlp.es:1935:clipboard_store=/usr/bin/xclip -i
share/mc/help/mc.hlp.es:1940:clipboard_paste=/usr/bin/xclip -o
share/mc/help/mc.hlp:1215:The .OPTIONS.OPTIONS. section has more information on how you can control subshell usage (-U/-u). Furthermore, to set a specific subshell different from your current SHELL variable or login shell defined in /etc/passwd, you may call MC like this: SHELL=/bin/myshell mc.[Chmod]
share/mc/syntax/Syntax:40:file .\*(bash_completion|profile|\\.(sh|bash_login|bash_profile|bash_logout|bash_aliases|bash_exports|bash_history|bashrc|profile|zlogin|zlogout|zprofile|zshenv|zshrc))$ Shell\sScript ^#!\s\*/(.\*/|usr/bin/env\s)([a-z]?|ba|pdk)sh
share/mc/syntax/Syntax:43:file ..\*\\.(pl|PL|pm|PM|psgi|PSGI)$ Perl\sProgram ^#!.\*([\s/]perl|/gnu/store/9kmlcadkj7y1ag0lc2jl9dajlq3m90zr-perl-5.24.0/bin/perl)
share/mc/syntax/Syntax:46:file ..\*\\.(py|PY)$ Python\sProgram ^#!.\*([\s/]python|/usr/bin/python)
share/mc/syntax/Syntax:52:file ..\*\\.(rb|RB)$ Ruby\sProgram ^#!.\*([\s/]ruby|/usr/bin/ruby)
share/mc/syntax/Syntax:196:file \\.procmailrc$ Procmail\sRC\sFile ^#/usr/bin/procmail
share/mc/syntax/d.syntax:16:    keyword whole linestart #!\[\s\]/\[abcdefghijklmnopqrstuvwxyz\]/\[abcdefghijklmnopqrstuvwxyz\]/\[abcdefghijklmnopqrstuvwxyz\]/\[abcdefghijklmnopqrstuvwxyz\]/bin/dmd brightcyan black
share/mc/syntax/d.syntax:17:    keyword whole linestart #!\[\s\]/\[abcdefghijklmnopqrstuvwxyz\]/\[abcdefghijklmnopqrstuvwxyz\]/\[abcdefghijklmnopqrstuvwxyz\]/bin/dmd brightcyan black
share/mc/syntax/d.syntax:18:    keyword whole linestart #!\[\s\]/\[abcdefghijklmnopqrstuvwxyz\]/\[abcdefghijklmnopqrstuvwxyz\]/bin/dmd brightcyan black
share/mc/syntax/d.syntax:19:    keyword whole linestart #!\[\s\]/\[abcdefghijklmnopqrstuvwxyz\]/bin/dmd brightcyan black
share/mc/syntax/d.syntax:20:    keyword whole linestart #!\[\s\]/bin/dmd brightcyan black
share/mc/syntax/awk.syntax:22:    keyword whole linestart #!\[\s\]/bin/\[msg\]awk yellow magenta
share/mc/syntax/awk.syntax:23:    keyword whole linestart #!\[\s\]/usr/bin/\[msg\]awk yellow magenta
share/mc/syntax/ruby.syntax:8:    keyword whole linestart #!\[\s\]/\[abcdefghijklmnopqrstuvwxyz\]/\[abcdefghijklmnopqrstuvwxyz\]/\[abcdefghijklmnopqrstuvwxyz\]/\[abcdefghijklmnopqrstuvwxyz\]/bin/ruby brightcyan black
share/mc/syntax/ruby.syntax:9:    keyword whole linestart #!\[\s\]/\[abcdefghijklmnopqrstuvwxyz\]/\[abcdefghijklmnopqrstuvwxyz\]/\[abcdefghijklmnopqrstuvwxyz\]/bin/ruby brightcyan black
share/mc/syntax/ruby.syntax:10:    keyword whole linestart #!\[\s\]/\[abcdefghijklmnopqrstuvwxyz\]/\[abcdefghijklmnopqrstuvwxyz\]/bin/ruby brightcyan black
share/mc/syntax/ruby.syntax:11:    keyword whole linestart #!\[\s\]/\[abcdefghijklmnopqrstuvwxyz\]/bin/ruby brightcyan black
share/mc/syntax/ruby.syntax:12:    keyword whole linestart #!\[\s\]/bin/ruby brightcyan black
libexec/mc/mc-wrapper.sh:3:/gnu/store/j9bv353g42smgs0dwcgnzijgagyzxj0n-mc-4.8.16/bin/mc -P "$MC_PWD_FILE" "$@"
libexec/mc/extfs.d/u7z:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/deb:1:#! /gnu/store/9kmlcadkj7y1ag0lc2jl9dajlq3m90zr-perl-5.24.0/bin/perl
libexec/mc/extfs.d/gitfs+:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/uarc:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/patchfs:1:#! /gnu/store/9kmlcadkj7y1ag0lc2jl9dajlq3m90zr-perl-5.24.0/bin/perl -w
libexec/mc/extfs.d/uace:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/patchsetfs:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/dpkg+:1:#! /gnu/store/9kmlcadkj7y1ag0lc2jl9dajlq3m90zr-perl-5.24.0/bin/perl
libexec/mc/extfs.d/uc1541:1:#! /usr/bin/python
libexec/mc/extfs.d/uzoo:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/a+:1:#! /gnu/store/9kmlcadkj7y1ag0lc2jl9dajlq3m90zr-perl-5.24.0/bin/perl -w
libexec/mc/extfs.d/uha:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/urar:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/rpm:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/s3+:1:#! /usr/bin/python
libexec/mc/extfs.d/rpms+:1:#! /gnu/store/9kmlcadkj7y1ag0lc2jl9dajlq3m90zr-perl-5.24.0/bin/perl
libexec/mc/extfs.d/uzip:1:#! /gnu/store/9kmlcadkj7y1ag0lc2jl9dajlq3m90zr-perl-5.24.0/bin/perl -w
libexec/mc/extfs.d/uzip:18:my $app_zip = "/usr/bin/zip";
libexec/mc/extfs.d/uzip:20:my $app_unzip = "/usr/bin/unzip";
libexec/mc/extfs.d/audio:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/deba:1:#! /gnu/store/9kmlcadkj7y1ag0lc2jl9dajlq3m90zr-perl-5.24.0/bin/perl
libexec/mc/extfs.d/ucab:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/debd:1:#! /gnu/store/9kmlcadkj7y1ag0lc2jl9dajlq3m90zr-perl-5.24.0/bin/perl
libexec/mc/extfs.d/debd:135:           if ( -x "/usr/bin/dpkg-repack" ) {
libexec/mc/extfs.d/debd:139:           if ( -x "/usr/bin/apt-get" ) {
libexec/mc/extfs.d/debd:145:       if( -x "/usr/bin/dpkg-reconfigure" && -x "/var/lib/dpkg/info/$archive.config" ) {
libexec/mc/extfs.d/uarj:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/ulib:1:#! /gnu/store/9kmlcadkj7y1ag0lc2jl9dajlq3m90zr-perl-5.24.0/bin/perl -w
libexec/mc/extfs.d/ulib:12:my @PATHS = ('/usr/bin/gplib', '/usr/local/bin/gplib');
libexec/mc/extfs.d/trpm:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/changesetfs:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/hp48+:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/ulha:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/bpp:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/apt+:1:#! /gnu/store/9kmlcadkj7y1ag0lc2jl9dajlq3m90zr-perl-5.24.0/bin/perl
libexec/mc/extfs.d/lslR:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/ualz:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/uar:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/iso9660:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/extfs.d/iso9660:46:    echo "$lsl" | /gnu/store/hb301wl5s7352vbn1vds85dhy32n0hkw-grep-2.25/bin/grep "^[-d]" | \
libexec/mc/extfs.d/iso9660:98:        CHARSET=$(locale 2>/dev/null | /gnu/store/hb301wl5s7352vbn1vds85dhy32n0hkw-grep-2.25/bin/grep LC_CTYPE | sed -n -e 's/.*\.\(.*\)"$/\1/p')
libexec/mc/extfs.d/iso9660:102:        isoinfo -j $CHARSET -i /dev/null 2>&1 | /gnu/store/hb301wl5s7352vbn1vds85dhy32n0hkw-grep-2.25/bin/grep "Iconv not yet supported\|Unknown charset" >/dev/null && CHARSET=
libexec/mc/extfs.d/iso9660:113:    echo "$ISOINFO_D_I" | /gnu/store/hb301wl5s7352vbn1vds85dhy32n0hkw-grep-2.25/bin/grep "UCS level 1\|NO Joliet" > /dev/null || ISOINFO="$ISOINFO $JOLIET_OPT"
libexec/mc/extfs.d/iso9660:115:    if [ $(echo "$ISOINFO_D_I" | /gnu/store/hb301wl5s7352vbn1vds85dhy32n0hkw-grep-2.25/bin/grep "Joliet with UCS level 3 found" | wc -l) = 1 \
libexec/mc/extfs.d/iso9660:116:        -a $(echo "$ISOINFO_D_I" | /gnu/store/hb301wl5s7352vbn1vds85dhy32n0hkw-grep-2.25/bin/grep "NO Rock Ridge" | wc -l) = 1 ] ; then
libexec/mc/extfs.d/mailfs:1:#! /gnu/store/9kmlcadkj7y1ag0lc2jl9dajlq3m90zr-perl-5.24.0/bin/perl -w
libexec/mc/mc-wrapper.csh:9:/gnu/store/j9bv353g42smgs0dwcgnzijgagyzxj0n-mc-4.8.16/bin/mc -P "$MC_PWD_FILE" $*
libexec/mc/fish/README.fish:51:Client uses "echo FISH:;/bin/sh" as command executed on remote
libexec/mc/ext.d/video.sh:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/ext.d/package.sh:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/ext.d/archive.sh:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/ext.d/sound.sh:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/ext.d/text.sh:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/ext.d/image.sh:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/ext.d/web.sh:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/ext.d/misc.sh:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
libexec/mc/ext.d/misc.sh:19:        /bin/cat "${MC_EXT_FILENAME}" 2>/dev/null
libexec/mc/ext.d/misc.sh:26:            /gnu/store/9kmlcadkj7y1ag0lc2jl9dajlq3m90zr-perl-5.24.0/bin/perl -e 'while (<>) { @a=split /[\s\t]+/, $_; printf ("%-30s | %10d | %s.%s.%02d | %s\n", $a[0], ($a[1]*1),$a[7], lc($a[4]), $a[5], $a[6]);}'
libexec/mc/ext.d/doc.sh:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh
Binary file bin/mc matches
etc/mc/mc.menu:356:+ x /usr/bin/open | x /usr/local/bin/open & x /bin/sh
etc/mc/mcedit.menu:413:s       #! /bin/sh
etc/mc/mcedit.menu:414:        echo "#! /bin/sh" >%b
etc/mc/mcedit.menu:417:p       #! /usr/bin/perl
etc/mc/mcedit.menu:418:        echo "#! /usr/bin/perl" >%b
etc/mc/mcedit.menu:469:        open -s -- /bin/bash
etc/mc/edit.indent.rc:1:#!/gnu/store/qkw4zrwfybxww8f56nkb6hggxambk89b-bash-4.4.0/bin/sh

-- 
♥Ⓐ  ng0
PGP keys and more: https://n0is.noblogs.org/ http://ng0.chaosnet.org